# BondImage

## lib/model.js~ BondImage

An 'image' of a single bond in the model. This represents the connection between two specific AtomImages

## Constructor

#### # new BondImage(model, im1, im2)

Parameters:

Name | Type | Description
--- | --- | ---
`model` | Model | The model from which the image is from
`im1` | AtomImage | AtomImage from which the bond starts
`im2` | AtomImage | AtomImage to which the bond ends

Source:
  - model.js, line 697

### Members

#### # (readonly) atom1 :AtomImage

First atom connected to this bond

Type:

- AtomImage

Source:
  - model.js, line 755

#### # (readonly) atom2 :AtomImage

Second atom connected to this bond

Type:

- AtomImage

Source:
  - model.js, line 764

#### # color1 :int

First color of the bond

Type:

- int

Source:
  - model.js, line 825

#### # color2 :int

Second color of the bond

Type:

- int

Source:
  - model.js, line 839

#### # (readonly) key :String

A unique string key used to quickly reference the bond

Type:

- String

Source:
  - model.js, line 773

#### # (readonly) length :float

Bond length in Angstroms

Type:

- float

Source:
  - model.js, line 783

#### # (readonly) mesh :AtomMesh

Mesh corresponding to this bond image

Type:

- AtomMesh

Source:
  - model.js, line 792

#### # (readonly) model :Model

Model this bond belongs to

Type:

- Model

Source:
  - model.js, line 733

#### # opacity1 :float

First opacity of the bond

Type:

- float

Source:
  - model.js, line 853

#### # opacity2 :float

Second opacity of the bond

Type:

- float

Source:
  - model.js, line 867

#### # radius :float

Radius of the bond

Type:

- float

Source:
  - model.js, line 806

#### # (readonly) renderer :Renderer

Renderer used by this bond

Type:

- Renderer

Source:
  - model.js, line 742

#### # visible :bool

Whether the bond is visible

Type:

- bool

Source:
  - model.js, line 881